6.0.0-git
2019-03-21

[#4241] Add support for importing Pine distribution lists
Summary Add support for importing Pine distribution lists
Queue Horde Framework Packages
Queue Version HEAD
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester selsky (at) columbia (dot) edu
Created 2006-08-03 (4613 days ago)
Due
Updated 2007-06-15 (4297 days ago)
Assigned
Resolved
Milestone
Patch No

History
2007-06-15 21:30:07 Chuck Hagenbuch Comment #6
State ⇒ Accepted
Reply to this comment
Works for me.
2007-06-15 21:09:53 Jan Schneider Comment #5 Reply to this comment
Hrm. How many address books are we going to search for the contacts?
Only the one you are importing to.
2007-06-15 20:32:36 Chuck Hagenbuch Comment #4 Reply to this comment
What do people consider the correct behavior with distribution lists
to be? Should we look up each email address in them, add found
contacts to a new contact list if we find them, and create new
contacts and add them to the list if we don't?
Sounds right.
Hrm. How many address books are we going to search for the contacts?
This will probably need to be Turba-specific, right? Not sure we can
handle this in a generic way.
Why does it need to be generic?  The pine driver should probably be
moved to Turba anyway.  It doesn't handle generic "data" like the
other drivers in the Data package.
It doesn't have to be generic, I was just making sure it makes sense 
for it _not_ to be.
2007-06-15 20:20:49 Matt Selsky Comment #3 Reply to this comment
What do people consider the correct behavior with distribution lists
to be? Should we look up each email address in them, add found
contacts to a new contact list if we find them, and create new
contacts and add them to the list if we don't?
Sounds right.
This will probably need to be Turba-specific, right? Not sure we can
handle this in a generic way.
Why does it need to be generic?  The pine driver should probably be 
moved to Turba anyway.  It doesn't handle generic "data" like the 
other drivers in the Data package.
2007-06-15 19:58:52 Chuck Hagenbuch Comment #2
State ⇒ Feedback
Reply to this comment
What do people consider the correct behavior with distribution lists 
to be? Should we look up each email address in them, add found 
contacts to a new contact list if we find them, and create new 
contacts and add them to the list if we don't?



This will probably need to be Turba-specific, right? Not sure we can 
handle this in a generic way.
2006-08-22 15:28:30 Jan Schneider State ⇒ Accepted
 
2006-08-03 02:10:07 Matt Selsky Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Add support for importing Pine distribution lists
Queue ⇒ Horde Framework Packages
Reply to this comment
See http://www.washington.edu/pine/tech-notes/low-level.html#addrbook 
for file format.



Basically,



'For a distribution list, the <address> is in the format:



"(" <address>, <address>, <address>, ... ")"'



We simply ignore distribution lists at the moment (around line 146 of 
Data/tsv.php)

Saved Queries